import { ModelMeta } from '../types/model';
export declare class ModelService {
    private suiteKey;
    private registry;
    private cache;
    constructor(suiteKey: SuiteKey);
    private runtimeKey;
    queryModelInfo(modelKey: ModelKey): Promise<ModelMeta | undefined>;
    getModelSync(modelKey: ModelKey): ModelMeta | undefined;
    clear(modelKey: ModelKey): void;
    dispose(): void;
}
